Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class NodeIdResponseMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.socket.messaging.SocketMessage
                  rice.pastry.socket.messaging.NodeIdResponseMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class NodeIdResponseMessage

extends SocketMessage

A response message to a NodeIdRequestMessage, containing the remote node's nodeId.

Version:
  $Id: NodeIdResponseMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`NodeIdResponseMessage(Id nid, long epoch)` Constructor
`NodeIdResponseMessage(InputBuffer buf)`

Method Summary
`long` | `getEpoch()` Returns the epoch of this address
`Id` | `getNodeId()` Returns the nodeId of the receiver.
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### NodeIdResponseMessage

    public NodeIdResponseMessage(Id nid,
                                 long epoch)

  Constructor

  Parameters:
    `nid` - The nodeId of the receiver of the NodeIdRequestMessage.

### NodeIdResponseMessage

    public NodeIdResponseMessage(InputBuffer buf)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getNodeId

    public Id getNodeId()

  Returns the nodeId of the receiver.

  Returns:
    The NodeId of the receiver node.

### getEpoch

    public long getEpoch()

  Returns the epoch of this address

  Returns:
    The epoch

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.